# Online Debate System

[![GitHub commit activity](https://img.shields.io/github/commit-activity/y/vinitshahdeo/online-debate-system.svg?logo=github&style=social)](https://github.com/vinitshahdeo/) [![GitHub code size in bytes](https://img.shields.io/github/languages/code-size/vinitshahdeo/online-debate-system.svg?logo=github&style=social)](https://github.com/vinitshahdeo/) [![GitHub last commit](https://img.shields.io/github/last-commit/vinitshahdeo/online-debate-system.svg?style=social&logo=git)](https://github.com/vinitshahdeo/) [![GitHub stars](https://img.shields.io/github/stars/vinitshahdeo/online-debate-system.svg?style=social)](https://github.com/vinitshahdeo/online-debate-system/stargazers) [![GitHub forks](https://img.shields.io/github/forks/vinitshahdeo/online-debate-system.svg?style=social&logo=git)](https://github.com/vinitshahdeo/online-debate-system/network)

An Online Debate System with Voice Recognition using Web Speech API. It converts speech to text and predicts the ***"For the motion"*** and ***"Against the motion"*** using PHP library for Sentiment Analysis.

<img src="./debatelogo.png" width=30% height=30%/>

![Generic badge](https://img.shields.io/badge/debate-system-orange.svg) 
![Generic badge](https://img.shields.io/badge/speech-api-yellowgreen.svg)
![Generic badge](https://img.shields.io/badge/sentiment-analysis-ff69b4.svg) 

#### Link for [demo](https://vinitshahdeo.github.io/online-debate-system/speech.html) 
[![Generic badge](https://img.shields.io/badge/view-demo-teal.svg)](https://vinitshahdeo.github.io/online-debate-system/speech.html)

## Useful Links

- [Web Speech API Documentation](https://w3c.github.io/speech-api/speechapi.html)
- [Web Speech API Source](https://github.com/w3c/speech-api)

## Requirements

[![GitHub top language](https://img.shields.io/github/languages/top/vinitshahdeo/online-debate-system.svg?logo=php&style=social)](https://github.com/vinitshahdeo/)

The source code of this project is written in **`PHP`**. So, you'll require **`WAMP/XAMPP/MAMP`** to run this project.

## Installing

[![WAMP](https://img.shields.io/badge/wamp-server-red.svg)](http://www.wampserver.com/en/) [![XAMP](https://img.shields.io/badge/xampp-server-blue.svg)](https://www.apachefriends.org/download.html) [![MAMP](https://img.shields.io/badge/mamp-server-lightgrey.svg)](https://www.mamp.info/en/)

- Download [WAMP](http://www.wampserver.com/en/)
- Download [XAMPP](https://www.apachefriends.org/download.html)
- Download [MAMP](https://www.mamp.info/en/)

## Instructions

[![chrome](https://img.shields.io/badge/Open-localhost/speech.php-lightgrey.svg?logo=google-chrome&style=popout&logoColor=red)](https://www.facebook.com/vinit.shahdeo)

Extract the folder in ***www*** or ***htdocs*** directory and run `localhost/speech.php`

## Special Mention

Big thanks to [Shreya Anand](https://github.com/ShreyaAnand) for making the project report. Click [here](https://github.com/vinitshahdeo/online-debate-system/raw/master/docs/AI%20Review-2.pdf) to download the project report. 

> You can also find the report inside `docs` folder.

[![REPORT](https://img.shields.io/badge/download-Project%20Report-blue.svg?logo=microsoft-word&style=social)](https://github.com/vinitshahdeo/online-debate-system/raw/master/docs/AI%20Review-2.pdf) [![shreya](https://img.shields.io/badge/GitHub-@ShreyaAnand-follow.svg?logo=github&style=social)](https://github.com/ShreyaAnand)

## Need help?

|                                                                                         <a href="https://www.eatmy.news/2020/06/code-like-you-eat-i-mean-code-daily-as.html"><img src="https://raw.githubusercontent.com/vinitshahdeo/Water-Monitoring-System/master/assets/vinit-shahdeo.jpg" width="150px " height="150px" /></a>                                                                                         |
| :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: |
|                                                                                                                                        **[Vinit Shahdeo](https://fayz.in/stories/s/1522/0/?ckt_id=ZGL1ZGVk&title=story_of_vinit_shahdeo)**                                                                                                                                        |
| <a href="https://twitter.com/Vinit_Shahdeo"><img src="https://raw.githubusercontent.com/vinitshahdeo/Water-Monitoring-System/master/assets/twitter.png" width="32px" height="32px"></a> <a href="https://www.facebook.com/vinit.shahdeo"><img src="https://raw.githubusercontent.com/vinitshahdeo/Water-Monitoring-System/master/assets/facebook.png" width="32px" height="32px"></a> <a href="https://www.linkedin.com/in/vinitshahdeo/"><img src="https://raw.githubusercontent.com/vinitshahdeo/Water-Monitoring-System/master/assets/linkedin.png" width="32px" height="32px"></a> |


Feel free to contact me via [Facebook](https://www.facebook.com/vinit.shahdeo).

Invite me to connect on [LinkedIn](https://www.linkedin.com/in/vinitshahdeo/).

[![Facebook](https://img.shields.io/badge/Facebook-add-blue.svg?logo=facebook&logoColor=white)](https://www.facebook.com/vinit.shahdeo) [![Quora](https://img.shields.io/badge/Quora-ask-red.svg?logo=quora)](https://www.quora.com/profile/Vinit-Shahdeo-1) [![Instagram](https://img.shields.io/badge/Instagram-follow-yellow.svg?logo=instagram&logoColor=white)](https://www.instagram.com/vinitshahdeo/)


```bash



 _____ _                 _     __   __            
|_   _| |               | |    \ \ / /            
  | | | |__   __ _ _ __ | | __  \ V /___  _   _   
  | | | '_ \ / _` | '_ \| |/ /   \ // _ \| | | |  
  | | | | | | (_| | | | |   <    | | (_) | |_| |  
  \_/ |_| |_|\__,_|_| |_|_|\_\   \_/\___/ \__,_|  
                                                  
                                                  
______                                            
|  ___|                                           
| |_ ___  _ __                                    
|  _/ _ \| '__|                                   
| || (_) | |                                      
\_| \___/|_|                                      
                                                  
                                                  
______      _               _   _               _ 
| ___ \    (_)             | | | |             | |
| |_/ / ___ _ _ __   __ _  | |_| | ___ _ __ ___| |
| ___ \/ _ \ | '_ \ / _` | |  _  |/ _ \ '__/ _ \ |
| |_/ /  __/ | | | | (_| | | | | |  __/ | |  __/_|
\____/ \___|_|_| |_|\__, | \_| |_/\___|_|  \___(_)
                     __/ |                        
                    |___/                         

 


```

## License

**MIT &copy; [Vinit Shahdeo](https://github.com/vinitshahdeo/online-debate-system/blob/master/LICENSE)**

[![GitHub license](https://img.shields.io/github/license/vinitshahdeo/online-debate-system.svg?style=social&logo=github)](https://github.com/vinitshahdeo/online-debate-system/blob/master/LICENSE) [![Twitter Follow](https://img.shields.io/twitter/follow/Vinit_Shahdeo.svg?style=social)](https://twitter.com/Vinit_Shahdeo)

---------

```javascript

if (isAwesome) {
    // thanks in advance :p
    starThisRepository();
}

```

-----------
