# Online Debate System

[![GitHub license](https://img.shields.io/github/license/vinitshahdeo/online-debate-system.svg?style=social)](https://github.com/vinitshahdeo/online-debate-system/blob/master/LICENSE) [![GitHub stars](https://img.shields.io/github/stars/vinitshahdeo/online-debate-system.svg?style=social)](https://github.com/vinitshahdeo/online-debate-system/stargazers) [![GitHub forks](https://img.shields.io/github/forks/vinitshahdeo/online-debate-system.svg?style=social)](https://github.com/vinitshahdeo/online-debate-system/network)

An Online Debate System with Voice Recognition using Web Speech API. It converts speech to text and predicts the ***"For the motion"*** and ***"Against the motion"*** using PHP library for Sentiment Analysis.

![Generic badge](https://img.shields.io/badge/debate-system-orange.svg) 
![Generic badge](https://img.shields.io/badge/speech-api-yellowgreen.svg)
![Generic badge](https://img.shields.io/badge/sentiment-analysis-ff69b4.svg) 

#### Link for [demo](https://vinitshahdeo.github.io/online-debate-system/speech.html) 
[![Generic badge](https://img.shields.io/badge/view-demo-teal.svg)](https://vinitshahdeo.github.io/online-debate-system/speech.html)

## Useful Links

- [Web Speech API Documentation](https://w3c.github.io/speech-api/speechapi.html)
- [Web Speech API Source](https://github.com/w3c/speech-api)

## Requirements

[![Generic badge](https://img.shields.io/badge/wamp-server-red.svg)](http://www.wampserver.com/en/) [![Generic badge](https://img.shields.io/badge/xampp-server-blue.svg)](https://www.apachefriends.org/download.html) [![Generic badge](https://img.shields.io/badge/mamp-server-lightgrey.svg)](https://www.mamp.info/en/)

The source code of this project is written in **`PHP`**. So, you'll require **`WAMP/XAMPP/MAMP`** to run this project.

## Installing 

- Download [WAMP](http://www.wampserver.com/en/)
- Download [XAMPP](https://www.apachefriends.org/download.html)
- Download [MAMP](https://www.mamp.info/en/)

## Instructions

Extract the folder in ***www*** or ***htdocs*** directory and run `localhost/speech.php`

## Need help?

Feel free to contact me via [Facebook](https://www.facebook.com/vinit.shahdeo).

Invite me to connect on [LinkedIn](https://www.linkedin.com/in/vinitshahdeo/).

[![Generic badge](https://img.shields.io/badge/facebook-add-blue.svg)](https://www.facebook.com/vinit.shahdeo) [![Generic badge](https://img.shields.io/badge/quora-ask-red.svg)](https://www.quora.com/profile/Vinit-Shahdeo-1) [![Generic badge](https://img.shields.io/badge/instagram-follow-yellow.svg)](https://www.instagram.com/vinitshahdeo/)

## License

MIT &copy; [Vinit Shahdeo](https://github.com/vinitshahdeo/online-debate-system/blob/master/LICENSE)
